local components = {}

components.dict = {
  collider = "button.collider",
  func = "button.func",
  label = "button.label"
}

function components.collider (c, x, y, w, h)
  c.data = {
    x = x or 0,
    y = y or 0,
    w = w or 0,
    h = h or 0
  }
end

function default()
  print("click")
end

function components.func (c, func)
  c.data = func or default
end

function components.label (c, label)
  c.data = label or ""
end

return components
